Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.persistence
Interface PersistenceService

All Superinterfaces:
  java.io.Serializable, Service

All Known Implementing Classes:
  DbPersistenceService, JtaDbPersistenceService

    public interface PersistenceService

extends Service

Method Summary
`void` | `assignId(java.lang.Object object)`
`ContextSession` | `getContextSession()`
`GraphSession` | `getGraphSession()`
`JobSession` | `getJobSession()`
`LoggingSession` | `getLoggingSession()`
`TaskMgmtSession` | `getTaskMgmtSession()`
`boolean` | `isRollbackOnly()`
`void` | `setGraphSession(GraphSession graphSession)`
`void` | `setJobSession(JobSession jobSession)`
`void` | `setLoggingSession(LoggingSession loggingSession)`
`void` | `setRollbackOnly()`
`void` | `setRollbackOnly(boolean isRollbackOnly)`
`void` | `setSessionFactory(org.hibernate.SessionFactory sessionFactory)`
`void` | `setTaskMgmtSession(TaskMgmtSession taskMgmtSession)`

Methods inherited from interface org.jbpm.svc.Service
`close`

Method Detail

### assignId

    void assignId(java.lang.Object object)

### getGraphSession

    GraphSession getGraphSession()

### getLoggingSession

    LoggingSession getLoggingSession()

### getJobSession

    JobSession getJobSession()

### getContextSession

    ContextSession getContextSession()

### getTaskMgmtSession

    TaskMgmtSession getTaskMgmtSession()

### isRollbackOnly

    boolean isRollbackOnly()

### setRollbackOnly

    void setRollbackOnly(boolean isRollbackOnly)

### setRollbackOnly

    void setRollbackOnly()

### setGraphSession

    void setGraphSession(GraphSession graphSession)

### setLoggingSession

    void setLoggingSession(LoggingSession loggingSession)

### setJobSession

    void setJobSession(JobSession jobSession)

### setTaskMgmtSession

    void setTaskMgmtSession(TaskMgmtSession taskMgmtSession)

### setSessionFactory

    void setSessionFactory(org.hibernate.SessionFactory sessionFactory)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD